--- glintr2.txt	2010-03-10 16:08:34.464803624 -0500
+++ glintr3.txt	2010-03-10 16:06:39.976804463 -0500
@@ -1,11 +1,202 @@
-/* Register definitions from TVP4020 Permedia2 Programmer's Reference Manual */
+/* Register definitions from Permedia3 Reference Guide Issue 8 */
 
-0x0008 ContinueNewLine
+/* Region 0 Control Status (0x0000-0x02ff) */
+0x0000 ResetStatus
+0x0008 IntEnable
+0x0010 IntFlags
+0x0018 InFIFOSpace
+0x0020 OutFIFOWords /* known as OutPutFIFOWords in Permedia3 Register Cross Reference */
+0x0028 ControlDMAAddress
+0x0030 ControlDMACount
+0x0038 ErrorFlags
+0x0040 VClkRDacCtl
+/* ... */
+0x0050 ApertureOne
+0x0058 ApertureTwo
+0x0060 ControlDMAControl
+0x0068 FIFODiscon
+0x0070 ChipConfig
+0x0078 AGPControl
+0x0080 GPOutDMAAddress
+0x0088 PCIFeedbackCount
+0x0090 PCIAbortStatus
+0x0098 PCIAbortAddress
+/* ... */
+0x00f0 PCIPLLStatus
+/* ... */
+0x0100 HostTextureAddress
+0x0108 TextureDownloadControl
+0x0110 TextureOperation
+0x0118 LogicalTexturePage
+0x0120 TexDMAAddress
+0x0128 TexFIFOSpace
 /* ... */
-0x0040 AreaStipplePattern[8]
-/* ... .*/
-0x01b2 Config
+
+/* Region 0 Bypass Controls (0x0300-0x03ff) */
+0x0300 ByAperture1Mode
+0x0308 ByAperture1Stride
+0x0310 ByAperture1YStart
+0x0318 ByAperture1UStart
+0x0320 ByAperture1VStart
+0x0328 ByAperture2Mode
+0x0330 ByAperture2Stride
+0x0338 ByAperture2YStart
+0x0340 ByAperture2UStart
+0x0348 ByAperture2VStart
+0x0350 ByDMAReadMode
+0x0358 ByDMAReadStride
+0x0360 ByDMAReadYStart
+0x0368 ByDMAReadUStart
+0x0370 ByDMAReadVStart
+0x0378 ByDMAReadCommandBase
+0x0380 ByDMAReadCommandCount
+0x0388 ByDMAWriteMode
+0x0390 ByDMAWriteStride
+0x0398 ByDMAWriteYStart
+0x03a0 ByDMAWriteUStart
+0x03a8 ByDMAWriteVStart
+0x03b0 ByDMAWriteCommandBase
+0x03b8 ByDMAWriteCommandCount
+/* ... */
+
+/* Region 0 Memory Control (0x1000-0x1fff) */
+0x1000 MemCounter
+0x1008 MemBypassWriteMask
+0x1010 MemScratch
+0x1018 LocalMemCaps
+0x1020 LocalMemTiming
+0x1028 LocalMemControl
+0x1030 LocalMemRefresh
+0x1038 LocalMemPowerDown
+/* ... */
+0x1100 RemoteMemControl
+/* ... */
+
+/* Region 0 GP FIFO (0x2000-0x2fff) */
+/* No 0x2000 series registers are listed. */
+
+/* Region 0 Video Control (0x3000-0x3fff) */
+0x3000 ScreenBase
+0x3008 ScreenStride
+0x3010 HTotal
+0x3018 HgEnd
+0x3020 HbEnd
+0x3028 HsStart
+0x3030 HsEnd
+0x3038 VTotal
+0x3040 VbEnd
+0x3048 VsStart
+0x3050 VsEnd
+0x3058 VideoControl
+0x3060 InterruptLine
+0x3068 DisplayData
+0x3070 VerticalLineCount
+0x3078 FifoControl
+0x3080 ScreenBaseRight
+0x3088 MiscControl
+/* ... */
+0x3100 VideoOverlayUpdate
+0x3108 VideoOverlayMode
+0x3110 VideoOverlayFIFOControl
+0x3118 VideoOverlayIndex
+0x3120 VideoOverlayBase0
+0x3128 VideoOverlayBase1
+0x3130 VideoOverlayBase2
+0x3138 VideoOverlayStride
+0x3140 VideoOverlayWidth
+0x3148 VideoOverlayHeight
+0x3150 VideoOverlayOrigin
+0x3158 VideoOverlayShrinkXDelta
+0x3160 VideoOverlayZoomXDelta
+0x3168 VideoOverlayYDelta
+0x3170 VideoOverlayFieldOffset
+0x3178 VideoOverlayStatus
+/* ... */
+
+/* Direct RAMDAC Registers (0x4000 - 0x4fff) */
+0x4000 RDPaletteWriteAddress
+0x4008 RDPaletteData
+0x4010 RDPixelMask
+0x4018 RDPaletteReadAddress
+0x4020 RDIndexLow
+0x4028 RDIndexHigh
+0x4030 RDIndexedData
+0x4038 RDIndexControl
 /* ... */
+
+/* Region 0 Video Stream Processing (0x5000-0x5fff) */
+0x5800 VSConfiguration
+0x5808 VSStatus
+0x5810 VSSerialBusControl
+/* ... */
+0x5900 VSAControl
+0x5908 VSAInterruptLine
+0x5910 VSACurrentLine
+0x5918 VSAVideoAddressHost
+0x5920 VSAVideoAddressIndex
+0x5928 VSAVideoAddress0
+0x5930 VSAVideoAddress1
+0x5938 VSAVideoAddress2
+0x5940 VSAVideoStride
+0x5948 VSAVideoStartLine
+0x5950 VSAVideoEndLine
+0x5958 VSAVideoStartData
+0x5960 VSAVideoEndData
+0x5968 VSAVBIAddressHost
+0x5970 VSAVBIAddressIndex
+0x5978 VSAVBIAddress0
+0x5980 VSAVBIAddress1
+0x5988 VSAVBIAddress2
+0x5990 VSAVBIStride
+0x5998 VSAVBIStartLine
+0x59a0 VSAVBIEndLine
+0x59a8 VSAVBIStartData
+0x59b0 VSAVBIEndData
+0x59b8 VSAFifoControl
+0x59c0 VSATimeStamp0
+0x59c8 VSATimeStamp1
+0x59d0 VSATimeStamp2
+0x59d8 VSADroppedFrames
+/* ... */
+0x5a00 VSBControl
+0x5a08 VSBInterruptLine
+0x5a10 VSBCurrentLine
+0x5a18 VSBVideoAddressHost
+0x5a20 VSBVideoAddressIndex
+0x5a28 VSBVideoAddress0
+0x5a30 VSBVideoAddress1
+0x5a38 VSBVideoAddress2
+0x5a40 VSBVideoStride
+0x5a48 VSBVideoStartLine
+0x5a50 VSBVideoEndLine
+0x5a58 VSBVideoStartData
+0x5a60 VSBVideoEndData
+0x5a68 VSBVBIAddressHost
+0x5a70 VSBVBIAddressIndex
+0x5a78 VSBVBIAddress0
+0x5a80 VSBVBIAddress1
+0x5a88 VSBVBIAddress2
+0x5a90 VSBVBIStride
+0x5a98 VSBVBIStartLine
+0x5aa0 VSBVBIEndLine
+0x5aa8 VSBVBIStartData
+0x5ab0 VSBVBIEndData
+0x5ab8 VSBFifoControl
+0x5ac0 VSDMAMode
+0x5ac8 VSDMACommandBase
+0x5ad0 VSDMACommandCount
+/* ... */
+
+/* Region 0 Texture Data FIFO (0x7000-0x7fff) */
+/* No 0x7000 series registers are listed. */
+
+/* Region 3 Indirect Addressing */
+0x00 IndirectByteEnable
+0x04 IndirectData
+0x08 IndirectAddr
+0x0c IndirectAccess
+
+/* Region 0 Graphics Registers (0x8000-0xffff) */
 0x8000 StartXDom
 0x8008 dXDom
 0x8010 StartXSub
@@ -14,33 +205,49 @@
 0x8028 dY
 0x8030 Count
 0x8038 Render
-/* ... */
+0x8040 ContinueNewLine
 0x8048 ContinueNewDom
 0x8050 ContinueNewSub
 0x8058 Continue
-/* ... */
+0x8060 FlushSpan
 0x8068 BitMaskPattern
 /* ... */
-0x8088 WaitForCompletion
-/* ... */
+0x8080 PointTable[4]
 0x80a0 RasterizerMode
 0x80a8 YLimits
 /* ... */
-0x80c8 XLimits
-0x80d0 RectangleOrigin
-0x80d8 RectangleSize
-/* ... */
-0x8150 PackedDataLimits
+0x80b8 WaitForCompletion
+0x80c0 PixelSize
+0x80c8 StripeOffsetY
 /* ... */
 0x8180 ScissorMode
 0x8188 ScissorMinXY
 0x8190 ScissorMaxXY
 0x8198 ScreenSize
 0x81a0 AreaStippleMode
-/* ... */
+0x81a8 LineStippleMode
+0x81b0 LoadLineStippleCounters
+0x81b8 UpdateLineStippleCounters
+0x81c0 SaveLineStippleCounters
 0x81c8 WindowOrigin
 /* ... */
-0x8380 TextureAddressMode
+0x8200 AreaStipplePattern[32]
+0x8300 FillFBWriteBufferAddr0
+0x8308 FillFBSourceReadBufferAddr
+0x8310 FillFBDestReadBufferAddr0
+0x8318 FillScissorMinXY
+0x8320 FillScissorMaxXY
+0x8328 FillForegroundColor0
+0x8330 FillBackgroundColor
+0x8338 FillConfig2D0
+0x8340 FillFBSourceReadBufferOffset0
+0x8348 FillRectanglePosition
+0x8350 FillRender2D
+0x8358 FillForegroundColor1
+0x8360 FillConfig2D1
+0x8368 FillGlyphPosition
+/* ... */
+0x8380 TextureCoordMode
 0x8388 SStart
 0x8390 dSdx
 0x8398 dSdyDom
@@ -50,35 +257,57 @@
 0x83b8 QStart
 0x83c0 dQdx
 0x83c8 dQdyDom
+0x83d0 LOD
+0x83d8 dSdy
+0x83e0 dTdy
+0x83e8 dQdy
+/* ... */
+0x8400 S1Start
+0x8408 dS1dx
+0x8410 dS1dyDom
+0x8418 T1Start
+0x8420 dT1dx
+0x8428 dT1dyDom
+0x8430 Q1Start
+0x8438 dQ1dx
+0x8440 dQ1dyDom
+0x8448 LOD1
+0x8450 TextureLodBiasS
+0x8458 TextureLodBiasT
+/* ... */
+0x8490 TextureCacheControl /* only listed in Permedia3 Register Cross Reference */
+/* ... */
+0x84a8 BorderColor0
 /* ... */
 0x84c0 LUTIndex
 0x84c8 LUTData
 0x84d0 LUTAddress
 0x84d8 LUTTransfer
+0x84e0 TextureFilterMode
+0x84e8 TextureChromaUpper0
+0x84f0 TextureChromaLower0
+0x84f8 BorderColor1
+0x8500 TextureBaseAddr[16]
+0x8580 TextureMapWidth[16]
+0x8600 TextureChromaUpper1
+0x8608 TextureChromaLower1
 /* ... */
-0x8580 TextureBaseAddress
-0x8588 TextureMapFormat
-0x8590 TextureDataFormat
-/* ... */
-0x8600 Texel0
-/* ... */
-0x8670 TextureReadMode
-0x8678 TexelLUTMode
-0x8680 TextureColorMode
-/* ... */
+0x8680 TextureApplicationMode
+0x8688 TextureEnvColor
 0x8690 FogMode
-/* ... */
+0x8698 FogColor
 0x86a0 FStart
 0x86a8 dFdx
 0x86b0 dFdyDom
+0x86b8 ZFogBias
 /* ... */
-0x86c8 KsStart
+0x86c8 KsStart /* only listed in Permedia3 Register Cross Reference */
 0x86d0 dKsdx
 0x86d8 dKsdyDom
 0x86e0 KdStart
-0x86e8 dKddx
-0x86f0 dKddyDom
 /* ... */
+0x8700 TextGlyphAddr[8],16
+0x8708 TextRender2DGlyph[8],16
 0x8780 RStart
 0x8788 dRdx
 0x8790 dRdyDom
@@ -89,30 +318,39 @@
 0x87b8 dBdx
 0x87c0 dBdyDom
 0x87c8 AStart
-/* ... */
+0x87d0 dAdx
+0x87d8 dAdyDom
 0x87e0 ColorDDAMode
 0x87e8 ConstantColor
 0x87f0 Color
 /* ... */
-0x8810 AlphaBlendMode
+0x8800 AlphaTestMode
+0x8808 AntialiasMode
+/* ... */
 0x8818 DitherMode
 0x8820 FBSoftwareWriteMask
 0x8828 LogicalOpMode
-0x8830 FBWriteData
 /* ... */
-0x8880 LBReadMode
+0x8840 RouterMode
+/* ... */
 0x8888 LBReadFormat
-0x8890 LBSourceOffset
-0x8898 LBData
 /* ... */
 0x88a8 LBStencil
 0x88b0 LBDepth
-0x88b8 LBWindowBase
+/* ... */
 0x88c0 LBWriteMode
 0x88c8 LBWriteFormat
 /* ... */
-0x88e8 TextureData
-0x88f0 TextureDownloadOffset
+0x88e8 TextureData /* only listed in Permedia Register Cross Reference */
+0x88f0 TextureDownloadOffset /* only listed in Permedia3 Register Cross Reference */
+/* ... */
+0x8900 HostInID
+0x8908 Security
+0x8910 FlushWriteCombining
+0x8918 HostInState
+/* ... */
+0x8938 HostInDMAAddr
+0x8940 HostInState2
 /* ... */
 0x8980 Window
 0x8988 StencilMode
@@ -126,18 +364,15 @@
 0x89c8 dZdxL
 0x89d0 dZdyDomU
 0x89d8 dZdyDomL
+0x89e0 FastClearDepth /* only listed in Permedia3 Register Cross Reference */
 /* ... */
-0x8a80 FBReadMode
-0x8a88 FBSourceOffset
-0x8a90 FBPixelOffset
 0x8a98 FBColor
 0x8aa0 FBDestData
 0x8aa8 FBSourceData
-0x8ab0 FBWindowBase
+/* ... */
 0x8ab8 FBWriteMode
 0x8ac0 FBHardwareWriteMask
 0x8ac8 FBBlockColor
-0x8ad0 FBReadPixel
 /* ... */
 0x8c00 FilterMode
 0x8c08 StatisticMode
@@ -148,34 +383,390 @@
 0x8c30 MaxHitRegion
 0x8c38 PickResult
 0x8c40 Sync
+0x8c48 RLEMask
 /* ... */
-0x8c68 FBBlockColorU
-0x8c70 FBBlockColorL
-0x8c78 SuspendUntilFrameblank
-/* ... */
-0x8d80 FBSourceBase
-0x8d88 FBSourceDelta
+0x8c78 SuspendUntilFrameBlank
+0x8c80 KsRStart
+0x8c88 dKsRdx
+0x8c90 dKsRdyDom
+0x8c98 KsGStart
+0x8ca0 dKsGdx
+0x8ca8 dKsGdyDom
+0x8cb0 KsBStart
+0x8cb8 dKsBdx
+0x8cc0 dKsBdyDom
+/* ... */
+0x8d00 KdRStart
+0x8d08 dKdRdx
+0x8d10 dKdRdyDom
+0x8d18 KdGStart
+0x8d20 dKdGdx
+0x8d28 dKdGdyDom
+0x8d30 KdBStart
+0x8d38 dKdBdx
+0x8d40 dKdBdyDom
+/* ... */
+0x8dc0 ContextDump
+0x8dc8 ContextRestore
+0x8dd0 ContextData
 /* ... */
 0x8e80 LUT[16]
-/* ... */
 0x8f00 YUVMode
-0x8f08 ChromaUpperBound
-0x8f10 ChromaLowerBound
-0x8f18 AlphaMapUpperBound
-0x8f20 AlphaMapLowerBound
-/* ... */
-0x8f70 TextureID
-0x8f78 TexelLUTID
-/* ... */
-0x9000 V0Fixed[16]
-0x9080 V1Fixed[16]
-0x9180 V0Float[16]
-0x9200 V1Float[16]
-0x9100 V2Fixed[16]
-0x9280 V2Float[16]
+0x8f08 ChromaUpper
+0x8f10 ChromaLower
+0x8f18 ChromaTestMode
+/* ... */
+0x8f88 FeedbackX
+0x8f90 FeedbackY
+/* ... */
+0x8ff8 EndOfFeedback
+0x9000 V0FloatS1
+0x9008 V0FloatT1
+0x9010 V0FloatQ1
+/* ... */
+0x9048 V0FloatPackedDiffuse
+0x9050 V0FloatKsR
+0x9058 V0FloatKsG
+0x9060 V0FloatKsB
+0x9068 V0FloatKdR
+0x9070 V0FloatKdG
+0x9078 V0FloatKdB
+0x9080 V1FloatS1
+0x9088 V1FloatT1
+0x9090 V1FloatQ1
+/* ... */
+0x90c8 V1FloatPackedDiffuse
+0x90d0 V1FloatKsR
+0x90d8 V1FloatKsG
+0x90e0 V1FloatKsB
+0x90e8 V1FloatKdR
+0x90f0 V1FloatKdG
+0x90f8 V1FloatKdB
+0x9100 V2FloatS1
+0x9108 V2FloatT1
+0x9110 V2FloatQ1
+/* ... */
+0x9148 V2FloatPackedDiffuse
+0x9150 V2FloatKsR
+0x9158 V2FloatKsG
+0x9160 V2FloatKsB
+0x9168 V2FloatKdR
+0x9170 V2FloatKdG
+0x9178 V2FloatKdB
+0x9180 V0FloatS
+0x9188 V0FloatT
+0x9190 V0FloatQ
+/* ... */
+0x91a8 V0FloatR
+0x91b0 V0FloatG
+0x91b8 V0FloatB
+0x91c0 V0FloatA
+0x91c8 V0FloatF
+0x91d0 V0FloatX
+0x91d8 V0FloatY
+0x91e0 V0FloatZ
+/* ... */
+0x91f0 V0FloatPackedColor
+0x91f8 V0FloatPackedSpecularFog
+0x9200 V1FloatS
+0x9208 V1FloatT
+0x9210 V1FloatQ
+/* ... */
+0x9228 V1FloatR
+0x9230 V1FloatG
+0x9238 V1FloatB
+0x9240 V1FloatA
+0x9248 V1FloatF
+0x9250 V1FloatX
+0x9258 V1FloatY
+0x9260 V1FloatZ
+/* ... */
+0x9270 V1FloatPackedColor
+0x9278 V1FloatPackedSpecularFog
+0x9280 V2FloatS
+0x9288 V2FloatT
+0x9290 V2FloatQ
+/* ... */
+0x92a8 V2FloatR
+0x92b0 V2FloatG
+0x92b8 V2FloatB
+0x92c0 V2FloatA
+0x92c8 V2FloatF
+0x92d0 V2FloatX
+0x92d8 V2FloatY
+0x92e0 V2FloatZ
+/* ... */
+0x92f0 V2FloatPackedColor
+0x92f8 V2FloatPackedSpecularFog
 0x9300 DeltaMode
 0x9308 DrawTriangle
 0x9310 RepeatTriangle
 0x9318 DrawLine01
 0x9320 DrawLine10
 0x9328 RepeatLine
+0x9330 DrawPoint
+0x9338 ProvokingVertex
+0x9340 TextureLODScale
+0x9348 TextureLODScale1
+0x9350 DeltaFormatControl /* known as DeltaControl in Permedia3 Register References */
+0x9358 ProvokingVertexMask
+/* ... */
+0x9480 XBias
+0x9488 YBias
+/* ... */
+0x9498 PointSize /* only listed in Permedia3 Register Cross Reference */
+0x94a0 AAPointSize /* only listed in Permedia3 Register Cross Reference */
+0x94a8 LineMode /* only listed in Permedia3 Register Cross Reference */
+0x94b0 LineWidth /* only listed in Permedia3 Register Cross Reference */
+0x94b8 LineWidthOffset /* only listed in Permedia3 Register Cross Reference */
+0x94c0 AALineWidth /* only listed in Permedia3 Register Cross Reference */
+/* ... */
+0x94e0 RectangleHeight /* only listed in Permedia3 Register Cross Reference */
+/* ... */
+0x94f8 ZBias
+/* ... */
+0x9760 LineCoord0
+0x9768 DrawLine2D10
+0x9770 LineCoord1
+0x9778 DrawLine2D01
+/* ... */
+0xa980 DMAAddr
+0xa988 DMACount
+0xa990 CommandInterrupt
+/* ... */
+0xa9a8 DMARectangleRead
+0xa9b0 DMARectangleReadAddress
+0xa9b8 DMARectangleReadLinePitch
+0xa9c0 DMARectangleReadTarget
+0xa9c8 DMARectangleWrite
+0xa9d0 DMARectangleWriteAddress
+0xa9d8 DMARectangleWriteLinePitch
+0xa9e0 DMAOutputAddress
+0xa9e8 DMAOutputCount
+/* ... */
+0xa9f8 DMAContinue
+/* ... */
+0xaa10 DMAFeedback
+/* ... */
+0xaad0 DeltaModeAnd
+0xaad8 DeltaModeOr
+/* ... */
+0xaaf0 LineModeAnd /* only listed in Permedia3 Register Cross Reference */
+0xaaf8 LineModeOr /* only listed in Permedia3 Register Cross Reference */
+/* ... */
+0xab20 DeltaFormatControlAnd /* known as DeltaControlAnd in Permedia3 Register References */
+0xab28 DeltaFormatControlOr /* known as DeltaControlOr in Permedia3 Register References */
+/* ... */
+0xab80 WindowAnd /* only listed in Permedia3 Register Cross Reference */
+0xab88 WindowOr /* only listed in Permedia3 Register Cross Reference */
+/* ... */
+0xaba0 RasterizerModeAnd
+0xaba8 RasterizerModeOr
+0xabb0 ScissorModeAnd
+0xabb8 ScissorModeOr
+0xabc0 LineStippleModeAnd
+0xabc8 LineStippleModeOr
+0xabd0 AreaStippleModeAnd
+0xabd8 AreaStippleModeOr
+0xabe0 ColorDDAModeAnd
+0xabe8 ColorDDAModeOr
+0xabf0 AlphaTestModeAnd
+0xabf8 AlphaTestModeOr
+0xac00 AntialiasModeAnd /* the Permedia{3,4} Register References list this offset as 0xabf0 (AlphaTestModeAnd), correct value found in Permedia3 Register Cross Reference */
+0xac08 AntialiasModeOr /* the Permedia{3,4} Register References list this offset as 0xabf8 (AlphaTestModeOr), correct value found in Permedia3 Register Cross Reference */
+0xac10 FogModeAnd
+0xac18 FogModeOr
+0xac20 TextureCoordModeAnd
+0xac28 TextureCoordModeOr
+0xac30 TextureReadMode0And
+0xac38 TextureReadMode0Or
+/* ... */
+0xac50 TextureApplicationModeAnd
+0xac58 TextureApplicationModeOr
+0xac60 StencilModeAnd
+0xac68 StencilModeOr
+0xac70 DepthModeAnd
+0xac78 DepthModeOr
+0xac80 LBWriteModeAnd
+0xac88 LBWriteModeOr
+0xac90 FBDestReadModeAnd
+0xac98 FBDestReadModeOr
+0xaca0 FBSourceReadModeAnd
+0xaca8 FBSourceReadModeOr
+0xacb0 AlphaBlendColorModeAnd
+0xacb8 AlphaBlendColorModeOr
+0xacc0 ChromaTestModeAnd
+0xacc8 ChromaTestModeOr
+0xacd0 DitherModeAnd
+0xacd8 DitherModeOr
+0xace0 LogicalOpModeAnd
+0xace8 LogicalOpModeOr
+0xacf0 FBWriteModeAnd
+0xacf8 FBWriteModeOr
+0xad00 FilterModeAnd
+0xad08 FilterModeOr
+0xad10 StatisticModeAnd
+0xad18 StatisticModeOr
+0xad20 FBDestReadEnablesAnd
+0xad28 FBDestReadEnablesOr
+0xad30 AlphaBlendAlphaModeAnd
+0xad38 AlphaBlendAlphaModeOr
+0xad40 TextureReadMode1And
+0xad48 TextureReadMode1Or
+0xad50 TextureFilterModeAnd
+0xad58 TextureFilterModeOr
+/* ... */
+0xad70 LUTModeAnd
+0xad78 LUTModeOr
+/* ... */
+0xadd8 Zstart /* listed only in Permedia3 Register Cross Reference */
+/* ... */
+0xae80 FBDestReadBufferAddr[4]
+0xaea0 FBDestReadBufferOffset[4]
+0xaec0 FBDestReadBufferWidth[4]
+0xaee0 FBDestReadMode
+0xaee8 FBDestReadEnables
+/* ... */
+0xaf00 FBSourceReadMode
+0xaf08 FBSourceReadBufferAddr
+0xaf10 FBSourceReadBufferOffset
+0xaf18 FBSourceReadBufferWidth
+/* ... */
+0xaf80 AlphaSourceColor
+0xaf88 AlphaDestColor
+0xaf90 ChromaPassColor
+0xaf98 ChromaFailColor
+0xafa0 AlphaBlendColorMode
+0xafa8 AlphaBlendAlphaMode
+0xafb0 ConstantColorDDA
+/* ... */
+0xb000 FBWriteBufferAddr[4]
+0xb020 FBWriteBufferOffset[4]
+0xb040 FBWriteBufferWidth[4]
+0xb060 FBBlockColor[4]
+0xb080 FBBlockColorBack[4]
+0xb0a0 FBBlockColorBack
+0xb0a8 SizeOfFramebuffer /* only listed in Permedia3 Register References */
+0xb0b0 VTGAddress
+0xb0b8 VTGData
+0xb0c0 ForegroundColor
+0xb0c8 BackgroundColor
+0xb0d0 DownloadAddress
+0xb0d8 DownloadData
+/* ... */
+0xb100 FogTable[64]
+0xb300 TextureCompositeMode
+0xb308 TextureCompositeColorMode0
+0xb310 TextureCompositeAlphaMode0
+0xb318 TextureCompositeColorMode1
+0xb320 TextureCompositeAlphaMode1
+0xb328 TextureCompositeFactor0
+0xb330 TextureCompositeFactor1
+0xb338 TextureIndexMode0
+0xb340 TextureIndexMode1
+0xb348 LODRange0
+0xb350 LODRange1
+0xb358 InvalidateCache
+0xb360 SetLogicalTexturePage
+0xb368 UpdateLogicalTextureInfo
+0xb370 TouchLogicalPage
+0xb378 LUTMode
+0xb380 TextureCompositeColorMode0And
+0xb388 TextureCompositeColorMode0Or
+0xb390 TextureCompositeAlphaMode0And
+0xb398 TextureCompositeAlphaMode0Or
+0xb3a0 TextureCompositeColorMode1And
+0xb3a8 TextureCompositeColorMode1Or
+0xb3b0 TextureCompositeAlphaMode1And
+0xb3b8 TextureCompositeAlphaMode1Or
+0xb3c0 TextureIndexMode0And
+0xb3c8 TextureIndexMode0Or
+0xb3d0 TextureIndexMode1And
+0xb3d8 TextureIndexMode1Or
+0xb3e0 StencilDataAnd
+0xb3e8 StencilDataOr
+/* ... */
+0xb400 TextureReadMode0
+0xb408 TextureReadMode1
+/* ... */
+0xb428 TextureMapSize
+/* ... */
+0xb480 HeadPhysicalPageAllocation[4]
+0xb4a0 TailPhysicalPageAllocation[4]
+0xb4c0 PhysicalPageAllocationTableAddr
+0xb4c8 BasePageOfWorkingSet
+0xb4d0 LogicalTexturePageTableAddr
+0xb4d8 LogicalTexturePageTableLength
+0xb4e0 BasePageOfWorkingSetHost
+/* ... */
+0xb500 LBDestReadMode
+0xb508 LBDestReadEnables
+0xb510 LBDestReadBufferAddr
+0xb518 LBDestReadBufferOffset
+0xb520 LBSourceReadMode
+0xb528 LBSourceReadBufferAddr
+0xb530 LBSourceReadBufferOffset
+0xb538 GIDMode
+0xb540 LBWriteBufferAddr
+0xb548 LBWriteBufferOffset
+0xb550 LBClearDataL
+0xb558 LBClearDataU
+/* ... */
+0xb580 LBDestReadModeAnd
+0xb588 LBDestReadModeOr
+0xb590 LBDestReadEnablesAnd
+0xb598 LBDestReadEnablesOr
+0xb5a0 LBSourceReadModeAnd
+0xb5a8 LBSourceReadModeOr
+0xb5b0 GIDModeAnd
+0xb5b8 GIDModeOr
+/* ... */
+0xb600 RectanglePosition
+0xb608 GlyphPosition
+0xb610 RenderPatchOffset
+0xb618 Config2D
+/* ... */
+0xb630 Packed8Pixels
+0xb638 Packed16Pixels
+0xb640 Render2D
+0xb648 Render2DGlyph
+0xb650 DownloadTarget
+0xb658 DownloadGlyphWidth
+0xb660 GlyphData
+0xb668 Packed4Pixels
+0xb670 RLData
+0xb678 RLCount
+/* ... */
+0xb700 IndexBaseAddress
+0xb708 VertexBaseAddress
+0xb710 IndexedTriangleList
+0xb718 IndexedTriangleFan
+0xb720 IndexedTriangleStrip
+0xb728 IndexedLineList
+0xb730 IndexedLineStrip
+0xb738 IndexedPointList
+0xb740 IndexedPolygon
+0xb748 VertexTriangleList
+0xb750 VertexTriangleFan
+0xb758 VertexTriangleStrip
+0xb760 VertexLineList
+0xb768 VertexLineStrip
+0xb770 VertexPointList
+0xb778 VertexPolygon
+0xb780 DMAMemoryControl
+0xb788 VertexValid
+0xb790 VertexFormat
+0xb798 VertexControl
+0xb7a0 RetainedRender
+0xb7a8 IndexedVertex
+0xb7b0 IndexedDoubleVertex
+0xb7b8 Vertex0
+0xb7c0 Vertex1
+0xb7c8 Vertex2
+0xb7d0 VertexData0
+0xb7d8 VertexData1
+0xb7e0 VertexData2
+0xb7e8 VertexData
+/* ... */
+0xb800 VertexTagList[32]
+/* ... */
